Bug 1490893 - python-CacheControl: python3-CacheControl requires both Python 2 and Python 3
Summary: python-CacheControl: python3-CacheControl requires both Python 2 and Python 3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-CacheControl
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bohuslav "Slavek" Kabrda
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2017-09-12 12:34 UTC by Iryna Shcherbina
Modified: 2017-09-22 14:05 UTC (History)
1 user (show)

Fixed In Version: 0.12.3-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-22 14:05:03 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-09-12 12:34:16 UTC
The python3-CacheControl RPM requires both Python 2 and Python 3.

The Python 3 subpackage contains a Python 2 executable, as it gets overridden in the %install section, and thus drugs in Python 2 as a dependency.

According to the Fedora Packaging guidelines for Python [0], if the executables provide the same functionality independent of whether they are run on top of Python 2 or Python 3, then only the Python 3 version of the executable should be packaged. I believe this is the case for this package, so please fix this in Rawhide.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!

[0] https://fedoraproject.org/wiki/Packaging:Python#Avoiding_collisions_between_the_python_2_and_python_3_stacks

Comment 1 Iryna Shcherbina 2017-09-13 17:17:10 UTC
I have created a PR with a fix for the issue:

https://src.fedoraproject.org/rpms/python-CacheControl/pull-request/2

Please review and merge at will.


Note You need to log in before you can comment on or make changes to this bug.